import { _ as _basePickBy } from "./_basePickBy.mjs";
import { h as hasIn_1 } from "./hasIn.mjs";
var basePickBy = _basePickBy, hasIn = hasIn_1;
function basePick(object, paths) {
  return basePickBy(object, paths, function(value, path) {
    return hasIn(object, path);
  });
}
var _basePick = basePick;
export {
  _basePick as _
};
